﻿#region " Copyright Information... "
/**************************************************************************************************
***************************************************************************************************
 
  
       AUTHOR:  greg.block

   This program is proprietary to CertusView Technologies, LLC. and is not to be reproduced, used, or 
   disclosed without permission. 

***************************************************************************************************
*************************** Copyright © 2009, CertusView Technologies, LLC. ***********************
**************************************************************************************************/
#endregion

using System;
using System.IO;
using GeoBrowser.GeoLookup;
using ThinkGeo.MapSuite.Core;

namespace GeoBrowser.Classes
{
    public class GeoLookupHelper
    {
        internal static string ImageFolder
        {
            get
            {
                string imageFolder = Path.Combine(Path.GetTempPath(), "RasterCache");
                if (!Directory.Exists(imageFolder))
                {
                    Directory.CreateDirectory(imageFolder);
                }
                return imageFolder;
            }
        }

        internal static string GetImage(RectangleShape currentExtent)
        {
            ExtentInfo extentInfo = new ExtentInfo();
            extentInfo.UpperLeft = new Coord();
            extentInfo.LowerRight = new Coord();

            extentInfo.UpperLeft.X = currentExtent.UpperLeftPoint.X;
            extentInfo.UpperLeft.Y = currentExtent.UpperLeftPoint.Y;

            extentInfo.LowerRight.X = currentExtent.LowerRightPoint.X;
            extentInfo.LowerRight.Y = currentExtent.LowerRightPoint.Y;
            extentInfo.Height = 920;
            extentInfo.Width = 920;

            ImageInfo imageInfo = GeoServiceProxy.GetImage(extentInfo, ImageTheme.Satellite, ServiceLevel.Premium);

            string imageFile = Path.Combine(ImageFolder, String.Format("Image-{0}.jpg", Guid.NewGuid().ToString()));
            
            using (FileStream fileStream = File.Create(imageFile))
            {
                fileStream.Write(imageInfo.Image, 0, imageInfo.Image.Length);
                fileStream.Close();
            }

            File.WriteAllText(Path.ChangeExtension(imageFile, ".jgw"), imageInfo.WorldData);
            return imageFile;
        }
    }
}
