﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DrawMap.aspx.cs"
    Inherits="GeoBrowser.DrawMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
	<title>GeoBrowser drawing page</title>
</head>

<body>

	<form id="form1" runat="server">
	<asp:ScriptManager ID="Map1_Script" runat="server">
	</asp:ScriptManager>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
		<ContentTemplate>
			<cc1:Map ID="Map1" runat="server" Width="920" Height="600" 
             OnExtentChanged="Map1_ExtentChanged"    >
			</cc1:Map>
		</ContentTemplate>
		<Triggers>
            <asp:AsyncPostBackTrigger ControlID="buttonEditShape" />
            <asp:AsyncPostBackTrigger ControlID="buttonSubmit" />
            <asp:AsyncPostBackTrigger ControlID="HybridButton" />
			
		</Triggers>
	</asp:UpdatePanel>
    <Description:DescriptionPanel ID="DescriptionPanel1" runat="server">
        <asp:Button ID="HybridButton" runat="server" Text="Hybrid" onclick="HybridButton_Click" />
        <br />
        Try to click buttons below to draw different shapes at client.
        <br />
        <asp:ImageButton ID="buttonNormal" runat="server" ToolTip="Normal Mode" ImageUrl="~/theme/default/samplepic/Cursor.png"
            OnClientClick="Map1.SetDrawMode('Normal');return false;" />
        <asp:ImageButton ID="buttonDrawPoint" runat="server" ToolTip="Draw Point" ImageUrl="~/theme/default/samplepic/point28.png"
            OnClientClick="Map1.SetDrawMode('Point');return false;" />
        <asp:ImageButton ID="buttonDrawLine" runat="server" ToolTip="Draw Line" ImageUrl="~/theme/default/samplepic/line28.png"
            OnClientClick="Map1.SetDrawMode('Line');return false;" />
        <asp:ImageButton ID="buttonDrawRectangle" runat="server" ToolTip="Draw Rectangle"
            ImageUrl="~/theme/default/samplepic/rectangle28.png" OnClientClick="Map1.SetDrawMode('Rectangle');return false;" />
        <asp:ImageButton ID="buttonDrawSquare" runat="server" OnClientClick="Map1.SetDrawMode('Square');return false;"
            ToolTip="Draw Square" ImageUrl="~/theme/default/samplepic/square28.png" />
        <asp:ImageButton ID="buttonDrawPolygon" runat="server" ToolTip="Draw Polygon" ImageUrl="~/theme/default/samplepic/polygon28.png"
            OnClientClick="test(); return false;" />
        <asp:ImageButton ID="buttonDrawCircle" runat="server" ToolTip="Draw Circle" ImageUrl="~/theme/default/samplepic/circle28.png"
            OnClientClick="Map1.SetDrawMode('Circle');return false;" />
        <asp:ImageButton ID="buttonDrawEllipse" runat="server" ToolTip="Draw Ellipse" ImageUrl="~/theme/default/samplepic/ellipse28.png"
            OnClientClick="Map1.SetDrawMode('Ellipse');return false;" />
        <br />
        Try to click the button below to delete the previous shape you have drew.
        <br />
        <asp:ImageButton ID="buttonDeleteShape" runat="server" ToolTip="Delete Shape" ImageUrl="~/theme/default/img/Delete.gif"
            OnClientClick="Map1.CancelLatestFeature();return false;" />
        <br />
        Try to click the button below to save the new shapes to the server.
        <br />
        <asp:ImageButton ID="buttonSubmit" runat="server" ToolTip="Submit" ImageUrl="~/theme/default/samplepic/tool_save.gif"
            OnClick="buttonSubmit_Click" />
        <br />
        Try to click the button below to convert the server shapes to the client shapes
        for editing.
        <br />
        <asp:ImageButton ID="buttonEditShape" runat="server" ToolTip="Edit Shape" ImageUrl="~/theme/default/samplepic/btn_edit.gif"
            OnClick="buttonEditShape_Click" />
    </Description:DescriptionPanel>
	
	</form>
</body>
<script type="text/javascript">
    function test() {
        var map = Map1.GetOpenLayersMap();

        alert(map.getZoom());
        Map1.SetDrawMode('Polygon');
      
    }
</script>
</html>
